> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Poll results for a topic within a time range
> Retrieves a specific number of results for a topic from the result queue in the designated period.
Request body example:
{
"type":"linkClick",
"from":"1683637275"
"to":"1683720075"
"limit":"86400"
}
## OpenAPI
````json GET /async/pollByRange
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS (legacy)"
},
{
"name": "CMS Blocks"
},
{
"name": "CMS Frameworks"
},
{
"name": "CMS Messages"
},
{
"name": "CMS Templates"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/async/pollByRange": {
"get": {
"tags": [
"Async"
],
"summary": "Poll results for a topic within a time range",
"description": "Retrieves a specific number of results for a topic from the result queue in the designated period.{
\"type\":\"linkClick\",
\"from\":\"1683637275\"
\"to\":\"1683720075\"
\"limit\":\"86400\"
}",
"operationId": "pollByRange",
"parameters": [
{
"name": "type",
"in": "query",
"description": "Type of events customer would like to poll (e.g allMessages [This TYPE consolidates all types below except for sentToMta, therefore 2-10 below are included in allMessages], linkClick, mtaResponse, smsResponse, readTrack, forwardTrack, conversion, skipTracking, sendTransactional, unsubscribe, sentToMta [This type must be called separately. For any customer to get all available types their web-service must be able to make at least two separate calls. 1. To allMessages type, and 2. To sentToMta type])",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "from",
"in": "query",
"description": "Opening timestamp from when the customer would like to get events (warning: timestamp is a time of inserting event to the database, not time of occurring of the event, so if the event happened at 31st of January at 23:59:59 but we had a delay in inserting and it was inserted of 1st of February then timestamp will be on February).",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
},
{
"name": "to",
"in": "query",
"description": "Closing timestamp.",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
},
{
"name": "limit",
"in": "query",
"description": "A number of events to fetch.",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"responses": {
"200": {
"description": "",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"type": "object"
}
}
}
}
},
"400": {
"description": "Required parameters are missing or incorrect.",
"content": {
"application/json": {}
}
}
}
}
}
}
}
````